if ( SERVER ) then

	AddCSLuaFile( "shared.lua" )
	AddCSLuaFile( "client.lua" )
	
end

if ( CLIENT ) then

	SWEP.PrintName			= "MP5"			
	SWEP.Author				= "Miguete"
	SWEP.Slot				= 2
	SWEP.SlotPos			= 5
	SWEP.IconLetter			= "c"
	SWEP.CSMuzzleFlashes	= true
end

SWEP.HoldType			= "smg"
SWEP.Base				= "weapon_cs_base"
SWEP.Category			= "SMOD"
SWEP.UseHands			= true

SWEP.Spawnable			= true
SWEP.AdminSpawnable		= true

SWEP.ViewModelFlip		= false
SWEP.ViewModelFOV		= 60
SWEP.ViewModel			= "models/weapons/v_mp5.mdl"
SWEP.WorldModel			= "models/weapons/w_mp5.mdl"

SWEP.Weight				= 5
SWEP.AutoSwitchTo		= false
SWEP.AutoSwitchFrom		= false

SWEP.Primary.Sound			= Sound( "weapons/mp5/mp5-1.wav" )
SWEP.Primary.Recoil			= 0.6
SWEP.Primary.Damage			= 20
SWEP.Primary.NumShots		= 1
SWEP.Primary.Cone			= 0.07
SWEP.Primary.ClipSize		= 30
SWEP.Primary.Delay			= 0.07
SWEP.Primary.DefaultClip	= 30
SWEP.Primary.Automatic		= true
SWEP.Primary.Ammo			= "smg1"

SWEP.Secondary.ClipSize		= -1
SWEP.Secondary.DefaultClip	= -1
SWEP.Secondary.Automatic	= false
SWEP.Secondary.Ammo			= "none"
SWEP.IronSightsPos 			= Vector (-6.50	, -5.79, 2.21)
SWEP.IronSightsAng 			= Vector (-0.6, -0.20, 0)

function SWEP:Deploy()
	if self.Weapon:SendWeaponAnim( ACT_VM_DRAW ) then return else end
	self.Owner:ViewPunch( Angle( 2, 0, 0 ) )
end

function SWEP:Reload()
	if !Reload then
		self.Weapon:EmitSound( "weapons/mp5/reload.wav" )
    	self.Weapon:DefaultReload( ACT_VM_RELOAD )
    	self:SetNextSecondaryFire( CurTime() + 0.7 )
		self:SetNextPrimaryFire( CurTime() + 0.7 )
		self.Owner:CrosshairEnable()
	end
end
